## python-libais 0.17%2Bgit.20190917.master.e464cf8

=== debian/changelog ===
python-libais (0.17+git.20190917.master.e464cf8-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:44:48 +0000

python-libais (0.17+git.20190917.master.e464cf8-4) unstable; urgency=medium

  * Team upload
  * Fix logging line in TagQueue.put if no NMEA match is found
  * test: support Python 3.12 (Closes: #1055554)
  * Bump Standards-Version to 4.6.2

 -- Benjamin Drung <bdrung@debian.org>  Fri, 15 Dec 2023 14:32:02 +0100

python-libais (0.17+git.20190917.master.e464cf8-3) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Nilesh Patra ]
  * Add autopkgtests
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Oct 2021 17:06:18 +0530

python-libais (0.17+git.20190917.master.e464cf8-2) unstable; urgency=medium

  * Team upload
  * Add missing copyright(s)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 30 Mar 2020 03:49:09 +0530

python-libais (0.17+git.20190917.master.e464cf8-1) unstable; urgency=medium

  * Initial release (Closes: #951616).

 -- Adam Cecile <acecile@le-vert.net>  Tue, 18 Feb 2020 21:17:37 +0100

## python-libais 0.17+git.20190917.master.e464cf8

=== CMakeLists.txt ===
# -*- shell-script -*- make up a mode for emacs

# To use cmake:
#
# cmake .
# make

cmake_minimum_required (VERSION 2.8)
project (libais)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
        message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

# include_directories("${PROJECT_BINARY_DIR}/src/libais")

add_subdirectory(src)

=== src/CMakeLists.txt ===
add_subdirectory(libais)

=== src/libais/CMakeLists.txt ===
add_library(ais 
ais.cpp
ais_bitset.cpp
ais1_2_3.cpp
ais4_11.cpp
ais5.cpp
ais6.cpp
ais7_13.cpp
ais8.cpp
ais8_1_22.cpp
ais8_1_26.cpp
ais8_200.cpp
ais8_366.cpp
ais8_366_22.cpp
ais8_367.cpp
ais9.cpp
ais10.cpp
ais12.cpp
ais14.cpp
ais15.cpp
ais16.cpp
ais17.cpp
ais18.cpp
ais19.cpp
ais20.cpp
ais21.cpp
ais22.cpp
ais23.cpp
ais24.cpp
ais25.cpp
ais26.cpp
ais27.cpp
decode_body.cpp
vdm.cpp
)
target_include_directories(ais PUBLIC ${CMAKE_CURRENT_LIST_DIR})
set_target_properties(ais PROPERTIES PUBLIC_HEADER ais.h)

include(GNUInstallDirs)

install(TARGETS ais
  EXPORT LibaisConfig
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

# Not yet handled:
# ais_py.cpp
# ais_decode_normed.cpp

=== third_party/gtest/make/Makefile ===
# A sample Makefile for building Google Test and using it in user
# tests.  Please tweak it to suit your environment and project.  You
# may want to move it to your project's root directory.
#
# SYNOPSIS:
#
#   make [all]  - makes everything.
#   make TARGET - makes the given target.
#   make clean  - removes all files generated by make.

# Please tweak the following variable definitions as needed by your
# project, except GTEST_HEADERS, which you can use in your own targets
# but shouldn't modify.

# Points to the root of Google Test, relative to where this file is.
# Remember to tweak this if you move this file.
GTEST_DIR = ..

# Where to find user code.
USER_DIR = ../samples

# Flags passed to the preprocessor.
# Set Google Test's header directory as a system directory, such that
# the compiler doesn't generate warnings in Google Test headers.
CPPFLAGS += -isystem $(GTEST_DIR)/include

# Flags passed to the C++ compiler.
CXXFLAGS += -g -Wall -Wextra -pthread
CXXFLAGS += -std=c++1

# All tests produced by this Makefile.  Remember to add new tests you
# created to the list.
TESTS = sample1_unittest

# All Google Test headers.  Usually you shouldn't change this
# definition.
GTEST_HEADERS = $(GTEST_DIR)/include/gtest/*.h \
                $(GTEST_DIR)/include/gtest/internal/*.h

# House-keeping build targets.

all : $(TESTS)

clean :
	rm -f $(TESTS) gtest.a gtest_main.a *.o

# Builds gtest.a and gtest_main.a.

# Usually you shouldn't tweak such internal variables, indicated by a
# trailing _.
GTEST_SRCS_ = $(GTEST_DIR)/src/*.cc $(GTEST_DIR)/src/*.h $(GTEST_HEADERS)

# For simplicity and to avoid depending on Google Test's
# implementation details, the dependencies specified below are
# conservative and not optimized.  This is fine as Google Test
# compiles fast and for ordinary users its source rarely changes.
gtest-all.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c \
            $(GTEST_DIR)/src/gtest-all.cc

gtest_main.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c \
            $(GTEST_DIR)/src/gtest_main.cc

gtest.a : gtest-all.o
	$(AR) $(ARFLAGS) $@ $^

gtest_main.a : gtest-all.o gtest_main.o
	$(AR) $(ARFLAGS) $@ $^

# Builds a sample test.  A test should link with either gtest.a or
# gtest_main.a, depending on whether it defines its own main()
# function.

sample1.o : $(USER_DIR)/sample1.cc $(USER_DIR)/sample1.h $(GTEST_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/sample1.cc

sample1_unittest.o : $(USER_DIR)/sample1_unittest.cc \
                     $(USER_DIR)/sample1.h $(GTEST_HEADERS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(USER_DIR)/sample1_unittest.cc

sample1_unittest : sample1.o sample1_unittest.o gtest_main.a
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -lpthread $^ -o $@

=== debian/changelog ===
python-libais (0.17+git.20190917.master.e464cf8-6build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:59:31 +0000

python-libais (0.17+git.20190917.master.e464cf8-6) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.
  * Run tests using pytest (closes: #1025404).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 00:45:41 +0200

python-libais (0.17+git.20190917.master.e464cf8-5) unstable; urgency=medium

  * Team upload.
  * Fix help2man build issue. (Closes: #1080133)
  * Bump std-ver to 4.7.0.

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 27 Nov 2024 14:31:54 +0800

=== debian/control ===
Source: python-libais
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
 python3-six,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-runner <!nocheck>,
 help2man,
Standards-Version: 4.7.0
Homepage: https://github.com/schwehr/libais
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-libais
Vcs-Git: https://salsa.debian.org/python-team/packages/python-libais.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-ais
Architecture: any
Depends: ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for decoding maritime Automatic Identification System messages
 There are two interfaces to libais, one high-level iterator based one
 and a low-level fast C++ only one.
 .
 To use the low-level C++ interface directly, you need to handle multi-line
 messages and padding yourself.
 .
 This package installs the library for Python 3.

Package: libais-tools
Architecture: all
Section: net
Depends: ${python3:Depends},
 python3-ais (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Cli tools for decoding maritime Automatic Identification System messages
 There are two interfaces to libais, one high-level iterator based one
 and a low-level fast C++ only one.
 .
 To use the low-level C++ interface directly, you need to handle multi-line
 messages and padding yourself.
 .
 This package installs command line tools.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pyton-libais-$1.tar.gz%" \
   https://github.com/schwehr/libais/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
